import { useTranslations } from "next-intl";
import {
  Components,
  DashBoard,
  Stacks2,
  Map,
  Grid,
  Files,
  ClipBoard,
  Flag,
  Book,
  Note,
  Sheild,
  Error,
} from "@/components/svg";

import DashboardIcon from '@mui/icons-material/Dashboard';
import AccountCircleIcon from '@mui/icons-material/AccountCircle';
import SettingsIcon from '@mui/icons-material/Settings';
import PaidIcon from '@mui/icons-material/Paid';
import WalletIcon from '@mui/icons-material/Wallet';
import LockResetIcon from '@mui/icons-material/LockReset';
import FiberPinIcon from '@mui/icons-material/FiberPin';

import AccountBalanceWalletIcon from '@mui/icons-material/AccountBalanceWallet';
import { IndianRupee, List } from "lucide-react";
import { PieChartSharp } from "@mui/icons-material";

const Home = () => {
  const t = useTranslations("Menu");
  const profileLang = useTranslations("Profile");

  return {
    sidebarRT: {
      modern: [
        {
          title: t("Dashboard"),

          icon: DashBoard,
          child: [
            {
              title: t("Admin_Dashboard"),
              href: "/admin/dashboard",
              icon: DashboardIcon,
            },
            {
              title: t("Services_Dashboard"),
              href: "/admin/services",
              icon: DashboardIcon,
            },
          ],
        },
        {
          title: t("My_Profile"),
          icon: AccountCircleIcon,
          child: [
            {
              title: t("Profile"),
              href: "/admin/profile",
              icon: AccountCircleIcon,
            },
            {
              title: t("Change_Mpin"),
              href: "/admin/set-new-mpin",
              icon: FiberPinIcon,
            },
            {
              title: t("Change_Password"),
              icon: LockResetIcon,
              href: "/admin/update-password",
            },
            {
              title: t("My_Commission"),
              icon: IndianRupee,
              href: "/admin/setting/my-commission/list",
            },
            {
              title: profileLang("Upgrade_To_Pro"),
              icon: List,
              href: "/admin/plan-list/view",
            },
          ],
        },

        {
          title: t("Account"),
          icon: WalletIcon,
          href: "/admin/wallets-history/list",
        },
        {
          title: t('All_Transaction'),
          icon: WalletIcon,
          child: [
            {
              title: t('All'),
              icon: Note,
              href: "/admin/transaction-history/list/all",
            },
            {
              title: t('Pending'),
              icon: Note,
              href: "/admin/transaction-history/list/pending",
            },
            {
              title: t('Success'),
              icon: Note,
              href: "/admin/transaction-history/list/success",
            },
            {
              title: t('Failed'),
              icon: Note,
              href: "/admin/transaction-history/list/failed",
            },

            {
              title: t("Hold"),
              icon: Note,
              href: "/admin/transaction-history/list/hold",
            },
            {
              title: t("TDS"),
              icon: Note,
              href: "/admin/transaction-history/list/tds",
            },
            {
              title: t("GST"),
              icon: Note,
              href: "/admin/transaction-history/list/gst",
            },
          ],
        },
        {
          title: t("AEPS"),
          icon: Stacks2,
          child: [
            {
              title: t("Do_Transaction"),
              icon: Note,
              href: "/admin/aeps/aeps-transfer/add",
            },
            // {
            //   title: t("Aeps_Report"),
            //   icon: Note,
            //   href: "#",
            // },
            // {
            //   title: t("Aeps_Commission"),
            //   icon: Note,
            //   href: "#",
            // },
            // {
            //   title: t("Aadharpay_Commission"),
            //   icon: Note,
            //   href: "#",
            // },
            // {
            //   title: t("Mini_Statement_Commission"),
            //   icon: Note,
            //   href: "#",
            // },
          ],
        },
        {
          title: t("DMT"),
          icon: IndianRupee,
          child: [
            {
              title: t("Do_Transaction"),
              icon: IndianRupee,
              href: "/admin/aeps/dmt/do-transaction",
            },
            // {
            //   title: t("DMT_Report"),
            //   icon: IndianRupee,
            //   href: "#",
            // },
            // {
            //   title: t("DMT_Charge"),
            //   icon: IndianRupee,
            //   href: "#",
            // },
          ],
        },
        {
          title: t("Self_Account"),
          icon: Stacks2,
          child: [
            {
              title: t("DO_Transaction"),
              icon: IndianRupee,
              href: "/admin/payout/add",
            },
            // {
            //   title: t("Payout_Report"),
            //   icon: IndianRupee,
            //   href: "#",
            // },
            // {
            //   title: t("Payout_Charge"),
            //   icon: IndianRupee,
            //   href: "#",
            // },
          ],
        },
        {
          title: t("Pay_Bill"),
          icon: AccountBalanceWalletIcon,
          child: [
            {
              title: t("Online_BBPS"),
              icon: AccountBalanceWalletIcon,
              href: "#",
            },
            {
              title: t("Credit_Card_Bill_Payment"),
              icon: AccountBalanceWalletIcon,
              href: "#",
            },
            {
              title: t("FasTag"),
              icon: AccountBalanceWalletIcon,
              href: "#",
            },
            {
              title: t("LIC_Payment"),
              icon: AccountBalanceWalletIcon,
              href: "#",
            },
          ],
        },
        {
          title: t("Setting"),
          icon: SettingsIcon,
          child: [

            {
              title: t("My_Commission"),
              icon: IndianRupee,
              href: "/admin/setting/my-commission/list",
            },
            {
              title: profileLang("Upgrade_To_Pro"),
              icon: IndianRupee,
              href: "/admin/plan-list/view",
            },
          ],
        },
        {
          title: t("Recharge_Services"),
          icon: Stacks2,
          child: [
            {
              title: t("Recharge"),
              icon: Note,
              href: "/admin/recharge/recharge",
            },
            {
              title: t("DTH"),
              icon: Note,
              href: "/admin/recharge/dth-recharge",
            },
          ],
        },
        {
          title: t("Fund"),
          icon: IndianRupee,
          child: [
            {
              title: t('Create_Fund_Request'),
              icon: IndianRupee,
              href: "/admin/fund/add",
            },
            {
              title: t("Fund_Request"),
              icon: IndianRupee,
              href: "/admin/fund/list",
            },
          ],
        },
        {
          title: t("Ticket"),
          icon: ClipBoard,
          child: [
            {
              title: t("Create"),
              icon: ClipBoard,
              href: "/admin/ticket/create",
            },
            {
              title: t("Answered"),
              icon: ClipBoard,
              href: "/admin/ticket/list/answered",
            },
            {
              title: t("Re_Open"),
              icon: ClipBoard,
              href: "/admin/ticket/list/open",
            },
            {
              title: t("In_Progress"),
              icon: ClipBoard,
              href: "/admin/ticket/list/in-progress",
            },
            {
              title: t("Closed"),
              icon: ClipBoard,
              href: "/admin/ticket/list/closed",
            },
            {
              title: t("Pending_Verification"),
              icon: ClipBoard,
              href: "/admin/ticket/list/pending-verification",
            },
            {
              title: t("All_Tickets"),
              icon: ClipBoard,
              href: "/admin/ticket/list/all-tickets",
            },
          ],
        },
        {
          title: t("Reports"),
          icon: PieChartSharp,
          child: [
            {
              title: t("Transaction_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=transaction",
            },

            {
              title: t("Monthly_GST_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=Monthly-GST",
            },
            {
              title: t("Monthly_TDS_Report"),
              icon: PieChartSharp,
              href: "/admin/report/list?Type=Monthly-TDS",
            },

          ],
        },
      ],
    },
  };
};

export default Home;
